//KIÍRÁSOK

//innerHTML
/*
document.getElementById('pelda').innerHTML = "Példa: " + (10 + 20);
*/
//egyszerű kiírás
/*
document.write("Ez egy javascriptes szöveg");
*/
//felugró ablak
/*
window.alert("Felugró ablak példa");
*/
//console
console.log("konzol üzenet");

//típus lekérdezés
let x = 25;
console.log(typeof(x));

const tomb = new Array(1,2,3,4,5);
console.log(tomb instanceof Array);


// Objektumok
function Person(name, age){
	this.name = name;
	this.age = age;
}

let person1 = new Person("janos", 19);
console.log(person1.name);
console.log(person1.age);

let jatek = {
	nev: "Minecraft",
	fejleszto: "Mojang",
	megjelenés: 2009
};

console.log(jatek.nev);

// más adat struktúrák
let nums = [1,3,4,6,9];
console.log(nums);

let userMap = new Map();
userMap.set('name', 'Kristóf');
console.log(userMap);

let numset = new Set([1,2,3,4,5]);
console.log(numset);


// ciklusok
numset.forEach(element => {
    console.log(element);
});

for (let i = 0; i < nums.length; i++){
    console.log(nums[i]);
}

let cntr = 0;
do {
    console.log("asd");
    cntr++;
} while (cntr < 3);

while (false) {
    console.log("asd");
}

// negáció + isNaN + shorthand if else;

let text = !isNaN(cntr) ? `${cntr} egy szám` : `${cntr} nem egy szám`;
console.log(text);

// függvények
function fgveny(param1, param2){
    return param1 + param2;
}

let a = fgveny(1,2);
console.log(a);

// szöveghez kapcsolódó függvények
//let szoveg = prompt("Mutatkozz be kérlek!");
//let array = szoveg.split(" ");
//let nemes = szoveg.includes("Nemes");

//objeltum literál
let car = {
    // mezők
    name : "Fiat",
    model : "500",
    engine : {
        horsepower : 110,
        fuel: "benzin",
    },

    //metódusok
    start : function(){
        return "Autó elindul!";
    },

    drive : function(){
        return "Autó megy!";
    },

    kiir : function(){
        kiiras.innerHTML = `Név: ${car.name} <br>`;
        kiiras.innerHTML += `Megy az autó? ${car.drive()} <br>`;
        kiiras.innerHTML += `Mennyi a lóereje: ${car.engine.horsepower} <br>`; 
    },

    carInfo : function(){
        return this.name + ", " + this.model;
    }
}


//tömbök
let tomb1 = ["alma", "körte", "szilva"];
let tomb2 = new Array("alma", "a", car, 3);

tomb1.push("barack");
console.log(tomb1);
tomb1.unshift("fokhagyma");
console.log(tomb1);
tomb1.shift();
console.log(tomb1);
tomb1.pop()
console.log(tomb1);
tomb1.splice(1,1);
console.log(tomb1);
tomb1.sort();
console.log(tomb1);
tomb1.reverse();
console.log(tomb1);

tomb3 = tomb1.concat(tomb2);
console.log(tomb1.toString());
console.log(tomb1.join(' '));
console.log(tomb3);

// multidimenzionális tömbök
// element = array[index][secondindex]